Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 28 Aug 2014, 03:44
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars ) » Pour les francophones
[ resolu] épine dans le pied !: wifi eeepc1000
Moderators: Béèm, darkerror05
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 2 [24 Posts]   Goto page: 1, 2 Next
Author Message
Arefacti

Joined: 10 Oct 2012
Posts: 165

PostPosted: Mon 15 Oct 2012, 13:35    Post subject:  [ resolu] épine dans le pied !: wifi eeepc1000  

Bonsoir messieurs dames.

pas ici pour crier mais pour un appel à l'aide.

d'abord : J'AI CHERCHé, mal (puisque je n'ai pas trouvé), mais j'ai cherché.

j'adore cette distribution Puppy qui paradoxalement est faite pour fonctionner sur de vieux PC me séduit car elle est moderne (c'était quoi un disque dur ? un peu comme un magnétoscope ??).
bref, mon expérience :

le contexte : TRES important : nul en Anglais, j'ai un mal fou, mais FOU !

mon expérience :
Toutou Linux : pas de wifi,
la petite dernière de chez Puppy : pas de wifi,
la petite dernière Slacko : miracle ! le wifi !

Ensuite, je découvre macpup : CE QUE JE VEUX exactement sur le look, et là, bien sûr.......pas de wifi

J'ai quelques problèmes en cours comme l'imprimante lexmark wifi, mais avant je souhaite faire fonctionner le wifi et adopter cette bestiole !

S.V.P. aidez-moi,

j'espère n'avoir blessé personne

la carte : ralink corp. RT2860
le module chargé : rt2800PCI

ce que le système me répond :
"the interface you have selected uses the module rt2860PCI which does not support wpa encryption".

Last edited by Arefacti on Wed 24 Oct 2012, 02:40; edited 2 times in total
Back to top
View user's profile Send private message 
Pelo


Joined: 10 Sep 2011
Posts: 3024
Location: Mer méditerrannée (1 kms°)

PostPosted: Mon 15 Oct 2012, 14:01    Post subject: Je me sens moins seul : capter en Wifi
Subject description: Eh oui certaines puppies sont moins bêtes que d'autres
 

Je me sens moins seul : capter en Wifi
Eh oui certaines puppies sont moins bêtes que d'autres

Moi aussi Macpup ne capte pas la wifi, en fait c'est une Lucid. Les Lucid ne captent pas en Wifi.
Slacko capte en Wifi. Et en général les versions 2012 des distros, sauf DPUP exprimo. Sur un EEEpc, les techniciens du forum vont venir t'aider. Ce site ne laisse pas tomber ses patients !
Ils sont chouettes.

Bonsoir
Back to top
View user's profile Send private message Yahoo Messenger 
Pelo


Joined: 10 Sep 2011
Posts: 3024
Location: Mer méditerrannée (1 kms°)

PostPosted: Mon 15 Oct 2012, 14:03    Post subject: Je me sens moins seul : capter en Wifi
Subject description: Eh oui certaines puppies sont moins bêtes que d'autres
 

Je me sens moins seul : capter en Wifi
Eh oui certaines puppies sont moins bêtes que d'autres

Moi aussi Macpup ne capte pas la wifi, en fait c'est une Lucid. Les Lucid ne captent pas en Wifi.
Slacko capte en Wifi. Et en général les versions 2012 des distros, sauf DPUP exprimo. Sur un EEEpc, les techniciens du forum vont venir t'aider. Ce site ne laisse pas tomber ses patients !
Ils sont chouettes.

Bonsoir
Back to top
View user's profile Send private message Yahoo Messenger 
Pelo


Joined: 10 Sep 2011
Posts: 3024
Location: Mer méditerrannée (1 kms°)

PostPosted: Mon 15 Oct 2012, 14:07    Post subject: enlève l'encryption et voie si tu captes en Open
Subject description: Moi ça n'a pas marché.
 

enlèves l'encryption et voies si tu captes en Open
Moi ça n'a pas marché.

va sur ton site FREE, SFR, ou autre et enlève le cryptage. Et réessaie de capter en wifi publique. Bonne chance.
Back to top
View user's profile Send private message Yahoo Messenger 
Arefacti

Joined: 10 Oct 2012
Posts: 165

PostPosted: Mon 15 Oct 2012, 14:10    Post subject: Re: Je me sens moins seul : capter en Wifi
Subject description: Eh oui certaines puppies sont moins bêtes que d'autres
 

Pelo wrote:
Je me sens moins seul : capter en Wifi
Eh oui certaines puppies sont moins bêtes que d'autres

Moi aussi Macpup ne capte pas la wifi, en fait c'est une Lucid. Les Lucid ne captent pas en Wifi.
Slacko capte en Wifi. Et en général les versions 2012 des distros, sauf DPUP exprimo. Sur un EEEpc, les techniciens du forum vont venir t'aider. Ce site ne laisse pas tomber ses patients !
Ils sont chouettes.

Bonsoir


c'est ce que j'ai vu dans les réponses, généralement les gens s'entraident bien, j'espère que ce sera mon cas aussi (si je peux un jour aider, je le ferais).
Alors justement, je me disais comme les slacks captent, il y a peut-être à copier "simplement", mais c'est hors de ma portée, hélas.
En tout cas, merci pour ton encouragement Wink
Back to top
View user's profile Send private message 
Médor


Joined: 26 May 2011
Posts: 1676

PostPosted: Mon 15 Oct 2012, 15:41    Post subject:  

Bonsoir Arefacti,

Les pilotes rt2860sta pci avec le support wpa dépendent du noyau de la puplette utilisée !
commande : uname -a dans la console

J'ai actuellement de disponible :
celui pour Toutou-431 ou Lucid-525Retro : kernel : k2.6.30.5
et celui pour Lucid-525 jusqu'à Lucid-528, ASRI300 : kernel : k2.6.33.2

Quel est le numéro de version de la Macpup, et surtout la version du kernel ?


Cordialement,
Médor.

_________________
Recherches Puppy|Index Puppy|Index FR|Tuto TTL
Back to top
View user's profile Send private message 
vezuve


Joined: 24 Jan 2008
Posts: 1289

PostPosted: Mon 15 Oct 2012, 16:31    Post subject:  

Hello,
Ha le Wifi, pas facile de le dompter Exclamation
Sur puppy-toutou, il y a certaine version qui utilise frisbee, personnellement je ne le conseille pas, préférant l’officielle "net-setup" qui est plus performant pour la résolution de problème..
C'est donc avec "(écrit en console) net-setup.sh" que l'on va travailler, car selon la version l'icone connexion est absent et retrouver dans un menu qui peut être en anglais ne facilite pas les choses.
AtTENTION: ne ferme pas la console tant que vous travailler avec net-setup, sinon ce dernier ce fermera en même temps que la console Wink
A la première fenêtre on doit voir les différentes interface, eth est pour la carte réseaux filaire, pour la carte réseaux sans fil il doit y en avoir une autre définition (désoler je n'ais pas de puppy-toutou en wifi a l’écriture de message).
Si elle est présente, en la choisissant on accède a une nouvelle fenêtre ou la on peut paramétrer notre interface sans fil, sinon il faut avoir un fichier inf de win XP et utiliser "choisir un module" puis cliquer sur ndiswrapper et lui indiquer le chemin de ton fichier .inf.
ATTENTION:la recherche automatique ne fonctionne que si le SSID est visible ...
Je conseille pour vérifier si tu a accès au Wifi:
  • de désactiver dans ton modem-routeur, le mode de protection (WPA ou WEP)
  • de rendre le SSID visible.
  • une fois que tout fonctionne tu peux remettre les protections et rendre invisible le ssid
Une fois fait, tu arrive dans une dernière fenêtre, tu appuie sur "auto DHCP" mais attention il peut se brouter car sa fonction est de demander des infos et d'assigner les réponses automatiquement donc il est préférable de vérifier avec IP statique, si les différentes informations on été entrée correctement, il y a:
  • adresse IP soit elle correspond a une adresse de la liste du DHCP (modem routeur) si celui ci a été paramétrer ou sinon se sera une attribuée aléatoirement.
  • IP passerelle est celle qui permet via ton navigateur d'accéder a ton modem routeur.
  • Attention: les 3 premier bloque pour l'adresse et la passerelle IP doivent être identique , seul le quatrième bloque est différents.
  • DNS:
    • 1 soit celui de l'IP passerelle ou celui de ton FAI
    • 2 si le 1 est l'IP passerelle il sera composé de 0 ou sinon celui de ton FAI
.

@+

_________________
Recherche
sur PUPPY anglai + souven
PUPPY wikka tou sur tou anglai
Back to top
View user's profile Send private message 
Médor


Joined: 26 May 2011
Posts: 1676

PostPosted: Mon 15 Oct 2012, 16:35    Post subject:  

Je vois que vezuve est toujours aussi borné Twisted Evil Evil or Very Mad

Le pilote existe avec le support wpa ! Mais il faut le compiler Wink

_________________
Recherches Puppy|Index Puppy|Index FR|Tuto TTL
Back to top
View user's profile Send private message 
Arefacti

Joined: 10 Oct 2012
Posts: 165

PostPosted: Tue 16 Oct 2012, 02:11    Post subject:    

Bonjour, et merci à vous de m'aider !

voici le résultat de la commande uname -a

linux puppypc10571 3.2.18

le version de la macpup est : 5.29

Merci par avance de votre réponse.

EDIT : bien sûr, sil faut le compiler moi-même je peux le faire si vous me donnez quelques pistes Embarassed
Back to top
View user's profile Send private message 
Médor


Joined: 26 May 2011
Posts: 1676

PostPosted: Tue 16 Oct 2012, 05:29    Post subject:  

Bonjour Arefacti,

La Macpup 529 est basée sur Puppy Precise 5.2.60, pour compiler un module du kernel il faut :
- le nécessaire pour la compilation : devx.sfs de cette version
- les sources du kernel utilisé : K3.2.18
- le paquet source du module à compiler

J'ai bien deux versions de Precise dans mes puplettes mais il me manque (à cette heure...) les sources de ce Kernel.
Le paquet source est disponible ici : 2010_07_16_RT2860_Linux_STA_v2.4.0.0_wpa.tar.gz
Une fois muni de tous le nécessaire l'opération consiste à décompresser cette archive, puis depuis la racine de ce répertoire faire dans l'ordre les deux commandes :
make
make install

Je vais télécharger les sources de ce kernel dans la journée...

Par ailleurs le gestionnaire de fenêtres Enlightment E17 est aussi présent sur la Dpup Exprimo 5X3.4.12 avec un kernel k3.4.2
Et même depuis hier sur : Dpup Exprimo 5.X.3.6.2.1 with kernel 3.6.2

Cordialement,
Médor.

_________________
Recherches Puppy|Index Puppy|Index FR|Tuto TTL
Back to top
View user's profile Send private message 
Arefacti

Joined: 10 Oct 2012
Posts: 165

PostPosted: Tue 16 Oct 2012, 09:00    Post subject:  

Médor wrote:
Bonjour Arefacti,

La Macpup 529 est basée sur Puppy Precise 5.2.60, pour compiler un module du kernel il faut :
- le nécessaire pour la compilation : devx.sfs de cette version
- les sources du kernel utilisé : K3.2.18
- le paquet source du module à compiler

J'ai bien deux versions de Precise dans mes puplettes mais il me manque (à cette heure...) les sources de ce Kernel.
Le paquet source est disponible ici : 2010_07_16_RT2860_Linux_STA_v2.4.0.0_wpa.tar.gz
Une fois muni de tous le nécessaire l'opération consiste à décompresser cette archive, puis depuis la racine de ce répertoire faire dans l'ordre les deux commandes :
make
make install

Je vais télécharger les sources de ce kernel dans la journée...

Par ailleurs le gestionnaire de fenêtres Enlightment E17 est aussi présent sur la Dpup Exprimo 5X3.4.12 avec un kernel k3.4.2
Et même depuis hier sur : Dpup Exprimo 5.X.3.6.2.1 with kernel 3.6.2

Cordialement,
Médor.


Tout ceci est extrêmement sympathique, merci !
merci aussi pour le lien vers la distribution Dpup que je ne connaissais pas.
je vais tenter aussi de faire le travail que tu m'as décris, qui sais ? et puis cela m'apprendra toujours quelque chose !
..Bon, je ne me fais pas d'illusion Laughing
A bientôt !

Edit,
déjà pas facile de trouver les éléments Laughing
pas trouvé le devx.sfs de cette version :
http://smokey01.com/menu/iso.html
Back to top
View user's profile Send private message 
Arefacti

Joined: 10 Oct 2012
Posts: 165

PostPosted: Tue 16 Oct 2012, 10:03    Post subject:  

ha, j'ai peut-être trouve UN élément :
devx_macpup_529.sfs :
http://macpup.org/redirect.php?myurl=52904

et encore, je n'en suis pas sur !

nb : cest pas que je fais la course, je ne permettrais pas et je n'ai pas le niveau, mais si un jour je veux aider, faut bien que j'essaye un peu Embarassed

bon, je ne serais guère allé loin ! erreur à la compil 127
faut bien commencer un jour, non ?

j'attends le pro alors ! Wink
Back to top
View user's profile Send private message 
Médor


Joined: 26 May 2011
Posts: 1676

PostPosted: Tue 16 Oct 2012, 12:48    Post subject:  

Bonsoir Arefacti,

Désolé du contre temps je n'avais pas la bonne version de Precise...

Ci-joint les pets !

Il faudra en premier décharger le module existant (attention au nom/case exact du module) :
rmmod rt2800pci
(éventuellement il peut être nécessaire de le "blacklister")
Installer le pet, puis rebooter...
Repasser par l'assistant et vérifier que ce le bon module soit chargé !

On peut vérifier les modules chargés par la commande :
lsmod
Ou plus direct ici :
lsmod | grep 'rt2'

Pour charger un module et voir d'éventuels messages au chargement :
modprobe rt2860sta


Comme je ne possède pas cette carte WiFi, je ne peux pas tester...


Cordialement,
Médor.
RT2860_Linux_STA_v2.4.0.0_wpa-k2.6.30.5.pet
Description 
pet

 Download 
Filename  RT2860_Linux_STA_v2.4.0.0_wpa-k2.6.30.5.pet 
Filesize  360.05 KB 
Downloaded  312 Time(s) 
RT2860_Linux_STA_v2.4.0.0_wpa-k2.6.33.2.pet
Description 
pet

 Download 
Filename  RT2860_Linux_STA_v2.4.0.0_wpa-k2.6.33.2.pet 
Filesize  289.48 KB 
Downloaded  317 Time(s) 
RT2860_Linux_STA_v2.4.0.0_wpa-k3.2.18.pet
Description 
pet

 Download 
Filename  RT2860_Linux_STA_v2.4.0.0_wpa-k3.2.18.pet 
Filesize  273.91 KB 
Downloaded  315 Time(s) 

_________________
Recherches Puppy|Index Puppy|Index FR|Tuto TTL
Back to top
View user's profile Send private message 
Arefacti

Joined: 10 Oct 2012
Posts: 165

PostPosted: Tue 16 Oct 2012, 12:54    Post subject:  

Médor wrote:
Bonsoir Arefacti,

Désolé du contre temps je n'avais pas la bonne version de Precise...


Exclamation

bin quand même tu n'es pas à ma disposition !
je te remercie et je vais essayer cela de suite Wink
Back to top
View user's profile Send private message 
Arefacti

Joined: 10 Oct 2012
Posts: 165

PostPosted: Tue 16 Oct 2012, 14:35    Post subject:  

Bon, alors je viens d'essayer.

je vais tenter de donner le plus de renseignements possibles sur ce que j'ai fait :

d'abord, j'ai blacklisté l'ancien module dans /etc/modprobe.d/blacklist.conf :
.
.
.
.
blacklist rt2800pci
-----------------------------------------------------------------------------------------------------
ensuite j'ai installé le .pet nommé : RT2860_Linux_STA_v2.4.0.0_wpa-k3.2.18.pet
suite à :
sh-3.00# uname -a
Linux puppypc17607 3.2.18 #1 SMP Wed May 30 22:40:54 GMT-8 2012 i686 i686 i386 GNU/Linux
-------------------------------------------------------------------------------------------------------
j'ai rebooté et donc :
sh-3.00# lsmod | grep 'rt2'
rt2860sta 604875 1
------------------------------------------------------------------------------------------------------

bien, j'ai tenté de me connecter sans succès.
A noter aussi (ça me fait comme Toutou Linux, je ne sais pas si ça veut dire quelque chose) : qu'il me nomme ma carte wifi ra0 et plus wlan0

voilà, bien désolé que cela ne marche pas après vos efforts Crying or Very sad

peut-être plus tard ?
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 2 [24 Posts]   Goto page: 1, 2 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Users ( For the regulars ) » Pour les francophones
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1000s ][ Queries: 12 (0.0099s) ][ GZIP on ]